/*
MediaInfo, Copyright (C) 1999-2000 Jean-Baptiste M. Queru

This program is free software; you can redistribute it and/or 
modify it under the terms of the GNU General Public License 
as published by the Free Software Foundation; either version 2 
of the License, or (at your option) any later version. 

This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
GNU General Public License for more details. 

You should have received a copy of the GNU General Public License 
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Contact the author at:
Jean-Baptiste M. Queru, 31 Camino Alto, Millbrae, CA 94030, USA
or by e-mail at : djaybee@cyberdude.com
*/

#include "MediaInfoAboutBox.h"
#include "MediaInfoDefs.h"

#include <Application.h>
#include <TextView.h>
#include <Button.h>
#include <Roster.h>

MediaInfoAboutBox::MediaInfoAboutBox(BRect r):BWindow(r,"About "BINARY_NAME,B_TITLED_WINDOW_LOOK,B_NORMAL_WINDOW_FEEL,B_NOT_RESIZABLE|B_NOT_ZOOMABLE) {
	BButton* but;
	ResizeTo(319,209);
	BRect tr=Bounds();
	tr.InsetBy(3,3);
	BTextView*tv=new BTextView(Bounds(),"",tr,B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	tv->MakeEditable(false);
	tv->MakeSelectable(false);
	tv->MakeResizable(false);
	tv->SetWordWrap(false);
	tv->SetLowColor(216,216,216);
	tv->SetViewColor(216,216,216);
	tv->SetText("\n\n\t"BINARY_NAME" version "VERSION_STRING"\n\n"
	"\tCopyright © 1999-2000 Jean-Baptiste M. Quéru\n"
	"\t<djaybee@cyberdude.com>\n\n"
	"\tMediaInfo comes with ABSOLUTELY NO WARRANTY\n\t\tfor details see the 'Readme' file.\n"
	"\tThis is free software, and you are welcome to\n\t\tredistribute it under certain conditions;\n\t\tsee the 'License' file for details.");
	but=new BButton(BRect(150,175,224,199),"","Send mail",new BMessage(SEND_MAIL));
	tv->AddChild(but);
	but=new BButton(BRect(235,175,309,199),"","OK",new BMessage(B_QUIT_REQUESTED));
	SetDefaultButton(but);
	tv->AddChild(but);
	AddChild(tv);
}

void MediaInfoAboutBox::MessageReceived(BMessage*m) {
	switch(m->what) {
		case SEND_MAIL : {
			const char *argv[1]= { "mailto:djaybee@cyberdude.com" };
			be_roster->Launch("text/x-email",1,(char **)argv);
			break;
		}
		default : {
			BWindow::MessageReceived(m);
		}
	}
}

bool MediaInfoAboutBox::QuitRequested(){
	be_app->PostMessage(ABOUT_BOX_GONE);
	return true;
}
